<?php

namespace ppa\Model;
use ppa\Model\ParticipantModel;
use ppb\Library\Msg;
use PDOException;

class NotesModel extends Database
{
    public function selectNotesForUser($userid, $sortBy = 'updated_at', $sortOrder = 'DESC')
    {
        $pdo = $this->linkDB();
		
		$erg=array();
		$params=array();

        $sql = "SELECT n.*, u.username AS owner_username 
            FROM notes n 
            JOIN users u ON n.user_id = u.id 
            ORDER BY :sortBy :sortOrder";

        $params[':sortBy']=$sortBy;
        $params[':sortOrder']=$sortOrder;

        try {
			$stmt=$pdo->prepare($sql);
			$stmt->execute($params);
		} catch (PDOException $e) {
			new Msg(true, null, $e);
			return false;
		}
        
        $erg=$stmt->fetchAll(\PDO::FETCH_ASSOC);

		return $erg;
    }
}